Summary: Tools for the hotpluggable PCMCIA subsystem
Name: pcmciautils
Version: 014
Release: %mkrel 4
Source0: %{name}-%{version}.tar.bz2
Patch2:	pcmciautils-013-modalias.patch
License: GPL
Group: System/Kernel and hardware
Url: http://www.kernel.org/pub/linux/utils/kernel/pcmcia/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: byacc
BuildRequires: libsysfs-devel
BuildRequires: flex
Provides:     pcmcia-cs
Obsoletes:     pcmcia-cs
Conflicts:	drakxtools-backend < 10.4.33-1mdv2007.0

%description
PCMCIAutils contains hotplug scripts and initialization tools
necessary to allow the PCMCIA subsystem to behave (almost) as every
other hotpluggable bus system (e.g. USB, IEEE1394).

Please note that the kernel support for this new feature is only
present since 2.6.13-rc1.

%prep
%setup -q
%patch2 -p1 -b .modalias

%build
make ccdv
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

# write /etc/modprobe.preload.d/pcmcia file on migration from old pcmcia-cs
%triggerpostun -p /usr/bin/perl -- pcmcia-cs, %{name} < 014-3mdv2007.0
use lib qw(/usr/lib/libDrakX);
use harddrake::autoconf;
use detect_devices;
my $controller = detect_devices::pcmcia_controller_probe();
harddrake::autoconf::pcmcia($controller && $controller->{driver});

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pcmcia/config.opts
%{_sysconfdir}/udev/rules.d/60-pcmcia.rules
/sbin/lspcmcia
/sbin/pccardctl
/sbin/pcmcia-check-broken-cis
/sbin/pcmcia-socket-startup
%{_mandir}/man*/*



%changelog
* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 014-4mdv2008.1
+ Revision: 179155
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Jun 15 2006 Olivier Blin <oblin@mandriva.com> 014-3mdv2007.0
- adapt to new detect_devices::pcmcia_controller_probe()

* Wed Jun 07 2006 Olivier Blin <oblin@mandriva.com> 014-2mdv2007.0
- fix PCMCIA autoconf

* Wed Jun 07 2006 Olivier Blin <oblin@mandriva.com> 014-1mdv2007.0
- 014
- drop Patch0 and Patch1 (merged upstream)
- write /etc/modprobe.preload.d/pcmcia file on migration from old pcmcia-cs (#22831)

* Tue May 23 2006 Olivier Blin <oblin@mandriva.com> 013-3mdk
- Patch2: fix udev modalias rules
- don't do coldplug for PCMCIA controller with a broken rule
  (that triggered general PCI hotplugging /o\)
  this should be done in some /etc/modprobe.preload.d/ file

* Mon Mar 27 2006 Olivier Blin <oblin@mandriva.com> 013-2mdk
- Patch1: fix lspcmcia symlink (from Colin Watson, Debian)

* Mon Mar 27 2006 Olivier Blin <oblin@mandriva.com> 013-1mdk
- New release 013
- Patch0: use correct path for ln
- package lspcmcia

* Tue Mar 14 2006 Olivier Blin <oblin@mandriva.com> 012-2mdk
- Obsoletes/Provides pcmcia-cs
- remove udev build hacks (enabled by default now)

* Tue Dec 20 2005 Olivier Blin <oblin@mandriva.com> 012-1mdk
- New release 012
- remove Patch0, merged upstream

* Tue Dec 13 2005 Thierry Vignaud <tvignaud@mandriva.com> 011-2mdk
- link with new libsysfs2
- patch 0: fix compiling with libsysfs2

* Tue Dec 06 2005 Olivier Blin <oblin@mandriva.com> 011-1mdk
- New release 011

* Wed Oct 12 2005 Olivier Blin <oblin@mandriva.com> 010-2mdk
- Source1: coldplug support for yenta_socket (#19097)

* Thu Sep 22 2005 Olivier Blin <oblin@mandriva.com> 010-1mdk
- 010
- build with udev support

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 007-4mdk
- don't package hotplug files, this has to be moved to udev

* Thu Aug 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 007-3mdk
- Fix BuildRequires

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 007-2mdk
- Fix BuildRequires

* Mon Jul 25 2005 Olivier Blin <oblin@mandriva.com> 007-1mdk
- 007

* Mon Jul 18 2005 Olivier Blin <oblin@mandriva.com> 006-1mdk
- 006

* Mon Jul 04 2005 Olivier Blin <oblin@mandriva.com> 005-2mdk
- conflicts with pcmcia-cs, which will be deprecated soon

* Mon Jul 04 2005 Olivier Blin <oblin@mandriva.com> 005-1mdk
- initial Mandriva Linux release

